<?
function ShowHighlight($target, $mother){
	global $suri;
	if($suri['directive']=="/search" && $suri['value']!=""){
		$target = bindSearchHighlight($suri['value'], $target);
	}
	return $target;
}

function bindSearchHighlight($keyword, $content) {
    $src = array("/", "|");
    $dst = array("\/", "\|");
    if (!trim($keyword)) return $content;
	$tempContent = str_replace($src, $dst, quotemeta($keyword));
	$tempKeyword = $tempContent . "(?![^<]*>)";
    return preg_replace("/($tempKeyword)/i", "<span class='highlight'>\\1</span>", $content);
}

function highlightCss($target){
	//### User Setting Start #############################
	$textcolor	= "#ffffff";
	$backcolor	= "#6C92CA";
	$textbold	= ""; //[Setting : "" 또는(or) "bold"]
	//### User Setting End   #############################

	$textcolor	= (strpos($textcolor, "#")===0)?$textcolor:"#".$textcolor;
	$backcolor	= (strpos($backcolor, "#")===0)?$backcolor:"#".$backcolor;
	if($textcolor)	$highLightCSS  = "color:{$textcolor};";
	if($backcolor)	$highLightCSS .= "background-color:{$backcolor};";
	if($textbold)	$highLightCSS .= "font-weight:{$textbold};";
	ob_start();
?>
<style type="text/css"> .highlight {<?=$highLightCSS?>} </style>
<?
	$target .= ob_get_contents();
	ob_end_clean();
	return $target;
}
?>